#!/bin/csh

#
# This is to test the CONTOUR program
set CONTOUR = ../contour
set echo

setenv POSTSCRIPT OFF

#2D mesh data
$CONTOUR -xlabel "This is infile1" -cstep 0.2 infile1
$CONTOUR -o options -cstep 0.1 infile0 -cstep 0.2 -lines 1 infile1 

#2D mesh data converted to 3D
$CONTOUR -expand_mesh -expand_cont -cstep 0.1 infile0
\rm -f image.cont.3D

#3D triangular data
$CONTOUR -cstep 0.1 -3D infile.3D 
$CONTOUR -cstep 0.02 -3D curves.plot.3D 

#Semi-log
cc +O3 mkdata.c -s -o mkdata -lm
mkdata
$CONTOUR -zlog -clip -cstep 0.5 infile.lg
\rm -f mkdata mkdata.o

#A more complex case
$CONTOUR -cstep 0.1 -lines 3 image.elb
