/*
 * str_ops.c - common routines to manipulate strings
 */

#include <stdio.h>
#include <strings.h>
#include <ctype.h>
#include "plot2D.h"


/*
 * convert a string from lowercase to uppercase
 */
void CNstring_to_upper(string)
char *string;
{
   int i;

   /* scan the string; convert lowercase to uppercase */
   for (i=0; i<CN_MAXCHAR && string[i] != '\0'; i++) {
      if (islower(string[i]))
         string[i] = toupper(string[i]);
   }
}


/*
 * convert a string from uppercase to lowercase
 */
void CNstring_to_lower(string)
char *string;
{
   int i;

   /* scan the string; convert uppercase to lowercase */
   for (i=0; i<CN_MAXCHAR && string[i] != '\0'; i++) {
      if (isupper(string[i]))
         string[i] = tolower(string[i]);
   }
}

